Firefox10.0にアップデート

Firefoxを10.0にアップデートしました。
使っていたアドオンもCooliris以外は特に問題なく動いていそうです。
Coolirisはダメみたいですが、まぁいいや。

変更内容は以下。
Firefox10.0 リリースノート

・履歴を戻るまで [進む] ボタンを表示しないようにしました。
・アドオンの互換性確認をより柔軟にしたことで、ほとんどのアドオンが新バージョンでも引き続き利用可能となりました。
・Mac で ATOK の確定アンドゥが使用できるようになりました。ただし、キーボードショートカットが変更されていると動作しない場合があります。(Bug 477291)
・WebGL のアンチエイリアスを実装しました。(Bug 615976)
・CSS3 の 3D トランスフォームを実装しました。(Bug 505115)
・双方向テキストの分離を実現する HTML5 新要素 bdi を、CSS プロパティとともに実装しました。(Bug 613149、Bug 662288)
・全画面での実行に対応した Web アプリケーションを開発できる フルスクリーン API を実装しました。
・仕様との整合性を高めた IndexedDB API を実装しました。
・Web 開発者向け新機能として、該当要素の強調表示や CSS スタイルの確認を行える 調査ツール を追加しました。
・Mac で、ブックマークを移動中にクラッシュする場合がある問題を修正しました。(Bug 681795)
・Mac で、Apple から公開された最新の Java をインストールした後、Java アプレットが使われているページのタブを閉じたときにクラッシュする場合がある問題を修正しました。(Bug 700835)
・いくつかの安定性に関わる問題を修正しました。
・いくつかのセキュリティ問題 を修正しました。

WordPressをversion3.3.1にバージョンアップ

WordPressをversion3.3.1にバージョンアップしました。

ルックスと性格が云々の話はもういいよ(笑

今回の変更は・・・

WordPress 3.3 の15の問題を修正しているほか、バージョン 3.3 に影響を与えていたクロスサイトスクリプティングの脆弱性も修正しています。

ということですので、なるべく早めに更新した方がよろしいようです。

関連サイト
Version 3.3.1 – WordPress Codex 日本語版

Firefoxを9.0.1にアップデート

FirefoxをVersion9.0.1にアップデートしました。
今のところ、私が入れていたアドオンは問題なさそう。とりあえずTomblooとFireShotとGreasemonkeyが動いてくれればOKかな。

変更内容は以下。

Firefox 9.0.1 リリースノート

この最新版では、以下の変更が行われています。

型推論を追加し、JavaScript のパフォーマンスを劇的に向上させました。
Mac OS X Lion でのテーマ統合を改善しました。
Mac OS X Lion で 2 本指スワイプナビゲーションを追加しました。
JavaScript を通じた Do Not Track 設定の確認 が可能になりました。
CSS font-stretch プロパティ に対応しました。
CSS text-overflow プロパティ の対応を改善しました。
HTML5、MathML、CSS などの標準対応を改善しました。
いくつかの安定性に関わる問題を修正しました。
いくつかのセキュリティ問題 を修正しました。

ということで、今回はあまり大きな変更はなかったのかな。。
「JavaScript のパフォーマンスを劇的に向上」はどんなものか期待しちゃう。なにしろ「劇的」ですから(笑

Firefox7.0.1にアップデート

Firefoxをバージョン7にアップデートすると一部アドオンが見えなくなるという不具合がありましたが、修正版が出たということなので、アップデートしました。
かなり速くなったような気がします。

関連ニュース
Mozilla、「Firefox 7」の正式版をリリース 使用メモリ削減で高速化
by ITmedia at 2011.09.28
「Firefox 7」更新後にアドオンが消える不具合、自動更新を停止して修正中
by INTERNET Watch at 2011.09.29
Firefox 7 で消えたアドオンを回復するには?
by japan.internet.com at 2011.09.29
「Firefox 7」のアドオンが消える問題で修正版を公開、自動更新も再開
by INTERNET Watch at 2011.09.30

WordPress3.2.1にアップデート

WordPressをバージョン3.2.1にアップデートしました。
今回の更新内容は・・・

このメンテナンスリリースは不運にも該当する方がいた JSON に関連するサーバーの非互換性を修正し、新しいダッシュボードデザインと Twenty Eleven テーマに関するいくつかの修正を行っています。

ということですので、必ずしも更新の必要はありませんでしたが、一応アップデートしておくことにしました。

すでに 3.2 にアップデートしているのなら、このアップデートは通常よりも速く終わるでしょう。これは、全部のファイルを入れ替えるのではなく変更されたファイルだけをアップデートする 3.2 の新しい機能のおかげです。

とのことでしたが、実際アップデートはあっという間に完了しました。

なお、@Niftyのラクーカンサーバの場合は、相変わらず・・・

The update cannot be installed because WordPress 3.2.1 requires MySQL version 5.0 or higher. You are running version 4.0.27.

となって更新できません。
どんどん置いていかれちゃうなぁ、ラクーカン。。。
コレでいいのか?@Nifty。。。
 

関連ニュース
WordPress 3.2.1
by WordPressブログ at 2011.07.13

WordPress3.2にバージョンアップ

WorePress3.2にバージョンアップしました。
デザインの変更については微妙ですが、確かに速くなった気がします。
とくに、ブログ表示とダッシュボードの行帰は速い。
これはうれしい。

また、新規記事の作成中に「fullscrean」ボタン(下記)を押すと、

(画像をクリックすると拡大画像を表示します)

こんな感じに。

(画像をクリックすると拡大画像を表示します)

おぉ、コレはいいかも!

関連ニュース
WordPress 3.2 が利用できるようになりました
by WordPressブログ at 2011.07.05

WordPress3.1.4にアップデート

WordPress3.1.4が出たということなのでアップデートしました。

このリリースでは、悪意ある編集者レベルのユーザーがさらに上のアクセス権を取得できてしまう問題を修正しています。

ということですので、WordPress利用者はアップデートした方がよろしいでしょう。

しかしながら、、、、
@Niftyのラクーカンサーバでは、あいかわらず・・・

The update cannot be installed because WordPress 3.1.4 requires MySQL version 4.1.2 or higher. You are running version 4.0.27.

となって、アップデートできない状態が続いていますね。。。

関連ニュース
WordPress 3.1.4 (および 3.2 リリース候補 3)
by WordPressブログ at 2011.06.30
『WordPress』がセキュリティ更新と次期 RC 第3版を公開
by japan.internet.com at 2011.07.01

続・Firefox5

今日は・・・

ということで、FireShotとTomblooがOKになったようなので、Firefox5にアップデートしました。
ちょっぴり早くなった気がします。
ところで、今後Firefox6,7,8と6週間ごとにバージョンアップしていくそうですが、今後のアップデートはバックグラウンドで自動で更新されるようになっています。
ある日突然、こっそりFirefoxがバージョンアップして、Tomblooが使えなくなってるかも?
それは困るなぁ。。。
ということで、自動更新の設定を変更しました。
変更箇所は以下。

My関連エントリー
Firefox5 at 2011年6月23日

WordPress3.1.3にアップグレード

WordPressを3.1.3にアップグレードしました。
変更内容は以下。

WordPress 3.1.3、WordPress 3.2 ベータ 2
by WordPressブログ

WordPress 3.1.3 がご利用いただけるようになりました。これは、以前のバージョン全てに対するセキュリテイアップデートであり、以下のセキュリティ修正と改善を含んでいます。

Alexander Concha による各種セキュリティ強化
John Lamansky によるタクソノミークエリ関連の補強
カノニカルリダイレクトを利用した投稿者以外のユーザー名情報傍受の防止。Props: Verónica Valeros
Microsoft 社の Richard Lundee 氏および Jesse Ou 氏、また マイクロソフト脆弱性調査 によるメディアセキュリティの修正
危険なセキュリティ設定を行っているサーバー上でのファイルアップロードセキュリティを向上
インポートが完了しなかった場合古い WordPress インポートファイルを削除
モダンブラウザ上の管理画面及びログイン画面で、「クリックジャック」に対する防御策を導入

ということで、セキュリティアップデートなので、WordPress利用者は更新をお勧めします。

でも・・・
@Niftyのラクーカンサーバーの場合は、今日も相変わらず・・・

The update cannot be installed because WordPress 3.1.3 requires MySQL version 4.1.2 or higher. You are running version 4.0.27.

となってアップデートできないのよね。。。

WordPress3.1.2にアップデート

WordPressを3.1.2にアップグレードしました。

WordPress 3.1.2
by WordPressブログ at 2011.04.27

このリリースでは、貢献者権限グループのユーザーが投稿を不正に公開できてしまうという脆弱性に対応しています。

ということですので、WordPress利用者は早めにアップグレードした方がいいと思います。

ただし、@Niftyのラクーカンサーバを使っている場合は相変わらず

The update cannot be installed because WordPress 3.1.2 requires MySQL version 4.1.2 or higher. You are running version 4.0.27.

となってしまい、アップグレードできない状態が続いております。
ダメダメ@Nifty。